Passer au contenu principal
GET
/
v2
/
private
/
fundraiser
/
{id}
/
offline-donations
/
list
Get offline transactions
curl --request GET \
  --url https://api.crowdchange.dev/v2/private/fundraiser/{id}/offline-donations/list \
  --header 'Authorization: <api-key>'
[
  {
    "id": 1,
    "amount": 100,
    "amount_total": 100,
    "currency": "USD",
    "is_pending": false,
    "pledge_code": "PLEDGE_CODE",
    "tax_eligible_amount": 100,
    "has_tax_receipt": false,
    "created_at": "2024-01-01 16:00:03",
    "billing": {
      "business_name": "Company Inc",
      "is_foundation": false,
      "title": "Mr.",
      "name": "Mr. John Snow",
      "first_name": "John",
      "last_name": "Snow",
      "street_address": "100 Main Street",
      "city": "Toronto",
      "country": "CA",
      "state": "ON",
      "postal": "A1A 1A1",
      "email": "john@example.com"
    },
    "fundraiser_page": {
      "id": 1001,
      "name": "Personal Page name"
    },
    "fundraiser_team": {
      "id": 1001,
      "name": "Team name"
    },
    "tax_receipt": {
      "id": 1001,
      "amount_donation": 100.99,
      "amount_benefit": 10.49,
      "amount_eligible": 90.5,
      "name_on_receipt": "John Smith",
      "issued_on": "2021-01-01 19:00:00",
      "receipt_number": "TAX-0012345",
      "title": "Mr.",
      "first_name": "John",
      "last_name": "Snow",
      "street_address": "100 Main Street",
      "city": "Toronto",
      "country": "CA",
      "state": "ON",
      "postal": "A1A 1A1",
      "email": "john@example.com"
    },
    "transaction_meta": {
      "is_lump_sum": false,
      "is_foundation": false
    }
  }
]

Path parameters

id
integer
requis
Campaign ID.

Query parameters

status
string
Transaction status. Allowed values: received, pending
fundraiser_team_id
integer
Campaign’s Team.
fundraiser_page_id
integer
Campaign’s Personal Page.
page
integer
Page number. Default: 1
limit
integer
Number of results to return. Default: 10
text
string
Search term.

Response

Returns an array of objects with the following fields.
id
integer
Transaction ID.
amount
number
Amount.
amount_total
number
Amount Total.
currency
string
Currency code. Allowed values: CAD, USD, AUD, EUR
is_pending
boolean
True if transaction is pending.
pledge_code
string
Pledge code.
tax_eligible_amount
number
Tax Eligible Amount.
has_tax_receipt
boolean
True if transaction has tax receipt.
created_at
string
Transaction creation date.
billing
object
User’s billing information.
fundraiser_page
object
Personal Page.
fundraiser_team
object
Team.
tax_receipt
object
Tax receipt information.
transaction_meta
object
Meta information.
Other responses
StatusDescription
400Bad Request
403Forbidden
[
  {
    "id": 1,
    "amount": 100,
    "amount_total": 100,
    "currency": "USD",
    "is_pending": false,
    "pledge_code": "PLEDGE_CODE",
    "tax_eligible_amount": 100,
    "has_tax_receipt": false,
    "created_at": "2024-01-01 16:00:03",
    "billing": {
      "business_name": "Company Inc",
      "is_foundation": false,
      "title": "Mr.",
      "name": "Mr. John Snow",
      "first_name": "John",
      "last_name": "Snow",
      "street_address": "100 Main Street",
      "city": "Toronto",
      "country": "CA",
      "state": "ON",
      "postal": "A1A 1A1",
      "email": "john@example.com"
    },
    "fundraiser_page": {
      "id": 1001,
      "name": "Personal Page name"
    },
    "fundraiser_team": {
      "id": 1001,
      "name": "Team name"
    },
    "tax_receipt": {
      "id": 1001,
      "amount_donation": 100.99,
      "amount_benefit": 10.49,
      "amount_eligible": 90.5,
      "name_on_receipt": "John Smith",
      "issued_on": "2021-01-01 19:00:00",
      "receipt_number": "TAX-0012345",
      "title": "Mr.",
      "first_name": "John",
      "last_name": "Snow",
      "street_address": "100 Main Street",
      "city": "Toronto",
      "country": "CA",
      "state": "ON",
      "postal": "A1A 1A1",
      "email": "john@example.com"
    },
    "transaction_meta": {
      "is_lump_sum": false,
      "is_foundation": false
    }
  }
]